Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class DefaultExtensionHandler

    java.lang.Object
      org.apache.batik.svggen.DefaultExtensionHandler

All Implemented Interfaces:
  ExtensionHandler

    public class DefaultExtensionHandler

extends Object
implements ExtensionHandler

This implementation of the ExtensionHandler interface always returns null Nodes. In other words, it does not support any Java 2D API extensions.

See Also:
  `ExtensionHandler`

Constructor Summary
`DefaultExtensionHandler()`

Method Summary
`SVGCompositeDescriptor` | `handleComposite(Composite composite, SVGGeneratorContext generatorContext)`
`SVGFilterDescriptor` | `handleFilter(BufferedImageOp filter, Rectangle filterRect, SVGGeneratorContext generatorContext)`
`SVGPaintDescriptor` | `handlePaint(Paint paint, SVGGeneratorContext generatorContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExtensionHandler

    public DefaultExtensionHandler()

Method Detail

### handlePaint

    public SVGPaintDescriptor handlePaint(Paint paint,
                                          SVGGeneratorContext generatorContext)

  Specified by:
    `handlePaint` in interface `ExtensionHandler`
  Parameters:
    `paint` - Custom Paint to be converted to SVG
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGPaintDescriptor

### handleComposite

    public SVGCompositeDescriptor handleComposite(Composite composite,
                                                  SVGGeneratorContext generatorContext)

  Specified by:
    `handleComposite` in interface `ExtensionHandler`
  Parameters:
    `composite` - Custom Composite to be converted to SVG.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGCompositeDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

### handleFilter

    public SVGFilterDescriptor handleFilter(BufferedImageOp filter,
                                            Rectangle filterRect,
                                            SVGGeneratorContext generatorContext)

  Specified by:
    `handleFilter` in interface `ExtensionHandler`
  Parameters:
    `filter` - Custom filter to be converted to SVG.
    `filterRect` - Rectangle, in device space, that defines the area to which filtering applies. May be null, meaning that the area is undefined.
    `generatorContext` - allows the handler to build DOM objects as needed.
  Returns:
    an SVGFilterDescriptor which contains a valid SVG filter, or null if the composite cannot be handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.